complete -c ab-av1 -n "__fish_use_subcommand" -s h -l help -d 'Print help information'
complete -c ab-av1 -n "__fish_use_subcommand" -s V -l version -d 'Print version information'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "sample-encode" -d 'Encode & analyse input samples to predict how a full encode would go.
This is much quicker than a full encode/vmaf run.'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "vmaf" -d 'Simple full calculation of VMAF score distorted file vs original file'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "encode" -d 'Simple invocation of ffmpeg & SvtAv1EncApp to encode a video'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "crf-search" -d 'Interpolated binary search using sample-encode to find the best crf
value delivering min-vmaf & max-encoded-percent.'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "auto-encode" -d 'Automatically determine the best crf to deliver the min-vmaf and use it to encode a video.'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "print-completions" -d 'Print shell completions'
complete -c ab-av1 -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -s i -l input -d 'Input video file' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l pix-format -d 'Pixel format' -r -f -a "{yuv420p10le	,yuv420p	}"
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l scd -d 'Scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=30' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l crf -d 'Encoder constant rate factor (1-63). Lower means better quality' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l samples -d 'Number of 20s samples to use across the input video. Overrides --sample-every. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l sample-every -d 'Calculate number of samples by dividing the input duration by this value. So "12m" would mean with an input 25-36 minutes long, 3 samples would be used. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l temp-dir -d 'Directory to store temporary sample data in. Defaults to using the input\'s directory' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l stdout-format -d 'Stdout message format `human` or `json`' -r -f -a "{human	,json	}"
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -l keep -d 'Keep temporary files after exiting'
complete -c ab-av1 -n "__fish_seen_subcommand_from sample-encode" -s h -l help -d 'Print help information'
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l reference -d 'Reference video file' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l reference-vfilter -d 'Ffmpeg video filter applied to the reference before analysis. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l distorted -d 'Re-encoded/distorted video file' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from vmaf" -s h -l help -d 'Print help information'
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -s i -l input -d 'Input video file' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l pix-format -d 'Pixel format' -r -f -a "{yuv420p10le	,yuv420p	}"
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l scd -d 'Scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=30' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l crf -d 'Encoder constant rate factor (1-63). Lower means better quality' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -s o -l output -d 'Output file, by default the same as input with `.av1` before the extension' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l acodec -d 'Set the output ffmpeg audio codec. By default when the input & output file extension match \'copy\' is used, otherwise \'libopus\'' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -l downmix-to-stereo -d 'Downmix input audio streams to stereo if input streams use greater than 3 channels'
complete -c ab-av1 -n "__fish_seen_subcommand_from encode" -s h -l help -d 'Print help information'
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -s i -l input -d 'Input video file' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l pix-format -d 'Pixel format' -r -f -a "{yuv420p10le	,yuv420p	}"
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l scd -d 'Scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=30' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l min-vmaf -d 'Desired min VMAF score to deliver' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l max-encoded-percent -d 'Maximum desired encoded size percentage of the input size' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l min-crf -d 'Minimum (highest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l max-crf -d 'Maximum (lowest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l samples -d 'Number of 20s samples to use across the input video. Overrides --sample-every. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l sample-every -d 'Calculate number of samples by dividing the input duration by this value. So "12m" would mean with an input 25-36 minutes long, 3 samples would be used. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l temp-dir -d 'Directory to store temporary sample data in. Defaults to using the input\'s directory' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from crf-search" -s h -l help -d 'Print help information'
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -s i -l input -d 'Input video file' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l vfilter -d 'Ffmpeg video filter applied to the input before av1 encoding. E.g. --vfilter "scale=1280:-1,fps=24"' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l pix-format -d 'Pixel format' -r -f -a "{yuv420p10le	,yuv420p	}"
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l preset -d 'Encoder preset (0-13). Higher presets means faster encodes, but with a quality tradeoff' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l keyint -d 'Interval between keyframes. Can be specified as a number of frames, or a duration. E.g. "300" or "10s". Defaults to 10s if the input duration is over 3m' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l scd -d 'Scene change detection, inserts keyframes at scene changes. Defaults on if using default keyint & the input duration is over 3m. Otherwise off' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l svt -d 'Additional svt-av1 arg(s). E.g. --svt mbr=2000 --svt film-grain=30' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l min-vmaf -d 'Desired min VMAF score to deliver' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l max-encoded-percent -d 'Maximum desired encoded size percentage of the input size' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l min-crf -d 'Minimum (highest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l max-crf -d 'Maximum (lowest quality) crf value to try' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l samples -d 'Number of 20s samples to use across the input video. Overrides --sample-every. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l sample-every -d 'Calculate number of samples by dividing the input duration by this value. So "12m" would mean with an input 25-36 minutes long, 3 samples would be used. More samples take longer but may provide a more accurate result' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l temp-dir -d 'Directory to store temporary sample data in. Defaults to using the input\'s directory' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l vmaf -d 'Additional vmaf arg(s). E.g. --vmaf n_threads=8 --vmaf n_subsample=4' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l vmaf-scale -d 'Video resolution scale to use in VMAF analysis. If set, video streams will be bicupic scaled to this width during VMAF analysis. `auto` (default) automatically sets based on the model and input video resolution. `none` disables any scaling. `WxH` format may be used to specify custom scaling, e.g. `1920x1080`' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -s o -l output -d 'Output file, by default the same as input with `.av1` before the extension' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l acodec -d 'Set the output ffmpeg audio codec. By default when the input & output file extension match \'copy\' is used, otherwise \'libopus\'' -r
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -l downmix-to-stereo -d 'Downmix input audio streams to stereo if input streams use greater than 3 channels'
complete -c ab-av1 -n "__fish_seen_subcommand_from auto-encode" -s h -l help -d 'Print help information'
complete -c ab-av1 -n "__fish_seen_subcommand_from print-completions" -s h -l help -d 'Print help information'
